# This file is part of EPOCH.
# File: CMakeLists.txt
# Author: Florent Teichteil-Königsbuch
# Contact: florent.teichteil@onera.fr
#
#    EPOCH is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    EPOCH is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with EPOCH.  If not, see <http://www.gnu.org/licenses/>.

MESSAGE (STATUS "Compiling wxScintilla-1.69.2 from codelite-2.7.0.4375")
FILE (GLOB_RECURSE WXSCINTILLA_SOURCES ${CMAKE_CURRENT_SOURCE_DIR} *.cxx *.cpp)
INCLUDE_DIRECTORIES (${CMAKE_CURRENT_SOURCE_DIR}/include
					 ${CMAKE_CURRENT_SOURCE_DIR}/src/scintilla/include
					 ${CMAKE_CURRENT_SOURCE_DIR}/src/scintilla/src)
ADD_DEFINITIONS (-D__WX__=1 -DSCI_LEXER -DLINK_LEXERS)
ADD_LIBRARY (epoch-wxscintilla STATIC ${WXSCINTILLA_SOURCES})

